Skip to main content
GET
/
api
/
email
/
template
/
{id}
Get email template by ID
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/email/template/{id} \
  --header 'X-API-Key: <api-key>'
{
  "attributeIds": [
    "<string>"
  ],
  "design": "<string>",
  "html": "<string>",
  "id": "<string>",
  "imageUrl": "<string>",
  "lang": "<string>",
  "name": "<string>",
  "order": 2,
  "subject": "<string>",
  "unlayerId": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key authentication

Path Parameters

id
string
required

Query Parameters

lang
string
required

Language code

Response

Successful operation

attributeIds
string[]

Template category attribute IDs

design
string

Unlayer JSON of the template

html
string

HTML body of the template

id
string

Template ID

imageUrl
string

Template image URL

lang
string

Language code

name
string

Template name

order
integer

Display order (ascending, 1-indexed). Present only when explicitly assigned.

Required range: x >= 1
subject
string

Template subject

unlayerId
string

Template Unlayer ID